%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:          jipijapa
Version:       1.0.1
Release:       4%{?dist}
Summary:       Improve application platform integration with JPA persistence providers
License:       ASL 2.0 and LGPLv2+
URL:           https://github.com/jipijapa/jipijapa/
Source0:       https://github.com/jipijapa/jipijapa/archive/%{namedversion}/%{name}-%{namedversion}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.apache.maven.plugins:maven-source-plugin)
BuildRequires: mvn(org.apache.openjpa:openjpa-kernel)
BuildRequires: mvn(org.apache.openjpa:openjpa-lib)
BuildRequires: mvn(org.apache.openjpa:openjpa-persistence)
BuildRequires: mvn(org.eclipse.persistence:eclipselink)
BuildRequires: mvn(org.eclipse.persistence:javax.persistence)
BuildRequires: mvn(org.hibernate:hibernate-core:3)
BuildRequires: mvn(org.hibernate:hibernate-core:4)
BuildRequires: mvn(org.hibernate:hibernate-entitymanager:3)
BuildRequires: mvn(org.hibernate:hibernate-entitymanager:4)
BuildRequires: mvn(org.hibernate:hibernate-infinispan:4)
BuildRequires: mvn(org.hibernate:hibernate-validator)
BuildRequires: mvn(org.hibernate.common:hibernate-commons-annotations)
BuildRequires: mvn(org.hibernate.javax.persistence:hibernate-jpa-2.0-api)
BuildRequires: mvn(org.hibernate.javax.persistence:hibernate-jpa-2.1-api)
BuildRequires: mvn(org.jboss:jandex)
BuildRequires: mvn(org.jboss:jboss-vfs)
BuildRequires: mvn(org.jboss.logging:jboss-logging)
BuildRequires: mvn(org.jboss.logging:jboss-logging-processor:1)
BuildRequires: mvn(org.jboss.logging:jul-to-slf4j-stub)
BuildRequires: mvn(org.jboss.logmanager:jboss-logmanager)
BuildRequires: mvn(org.jboss.logmanager:log4j-jboss-logmanager)
BuildRequires: mvn(org.jboss.slf4j:slf4j-jboss-logmanager)
BuildRequires: mvn(org.jboss.spec.javax.annotation:jboss-annotations-api_1.1_spec)
BuildRequires: mvn(org.jboss.spec.javax.transaction:jboss-transaction-api_1.1_spec)
BuildRequires: mvn(org.jboss.shrinkwrap:shrinkwrap-api)
BuildRequires: mvn(org.jboss.shrinkwrap:shrinkwrap-impl-base)

BuildArch:     noarch

%description
The #1 goal of the Jipijapa project is to
improve application platform integration
with JPA persistence providers.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}

%pom_disable_module build-config
%pom_remove_plugin :maven-checkstyle-plugin

%pom_change_dep "org.hibernate:hibernate-commons-annotations" "org.hibernate.common:hibernate-commons-annotations" hibernate3
%pom_remove_dep :hibernate-infinispan hibernate3

# Hibernate 4.1 not available anymore
%pom_disable_module hibernate4_1

%pom_xpath_set "pom:project/pom:properties/pom:version.org.hibernate3" 3
%pom_xpath_set "pom:project/pom:properties/pom:version.org.hibernate4_3" 4

%build

%mvn_build 

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Aug 05 2016 gil cattaneo <puntogil@libero.it> 1.0.1-2
- add support for hibernate4

* Thu Jul 21 2016 gil cattaneo <puntogil@libero.it> 1.0.1-1
- update to 1.0.1.Final

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Feb 18 2015 gil cattaneo <puntogil@libero.it> 1.0.0-2
- re-enable OpenJPA support

* Mon Feb 09 2015 gil cattaneo <puntogil@libero.it> 1.0.0-1
- Upstream release 1.0.0.Final

* Mon Feb 09 2015 gil cattaneo <puntogil@libero.it> 1.0.0-0.7.CR1
- introduce license macro
- disable OpenJPA support

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-0.6.CR1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Dec 16 2013 Marek Goldmann <mgoldman@redhat.com> - 1.0.0-0.5.CR1
- Upstream releaes 1.0.0.CR1

* Tue Nov 12 2013 Marek Goldmann <mgoldman@redhat.com> - 1.0.0-0.4.Beta1
- Enable Hibernate 4.3 support
- Disable Hibernate 4.1 support

* Tue Oct 22 2013 Marek Goldmann <mgoldman@redhat.com> - 1.0.0-0.3.Beta1
- Upstream release 1.0.0.Beta1

* Tue Jul 16 2013 gil cattaneo <puntogil@libero.it> 1.0.0-0.2.Alpha3
- add org.eclipse.persistence:javax.persistence support

* Mon Jul 15 2013 gil cattaneo <puntogil@libero.it> 1.0.0-0.1.Alpha3
- initial rpm

